% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/fn_spongeffects_utility.R
\name{plot_accuracy_sensitivity_specificity}
\alias{plot_accuracy_sensitivity_specificity}
\title{list of plots for (1) accuracy and (2) sensitivity + specificity
(see Boniolo and Hoffmann 2022 et al. Fig. 3a and Fig. 3b)}
\usage{
plot_accuracy_sensitivity_specificity(
  trained_model,
  central_genes_model = NA,
  all_expression_model = NA,
  random_model,
  training_dataset_name = "TCGA",
  testing_dataset_name = "TCGA",
  subtypes
)
}
\arguments{
\item{trained_model}{returned from train_and_test_model}

\item{central_genes_model}{returned from build_classifier_central_genes()}

\item{all_expression_model}{training and testing like central_genes_model but on ALL common expression data}

\item{random_model}{returned from train_and_test_model using the randomization}

\item{training_dataset_name}{name of training (e.g., TCGA)}

\item{testing_dataset_name}{name of testing set (e.g., METABRIC)}

\item{subtypes}{array of subtypes
(e.g., c("Normal", "LumA", "LumB", "Her2", "Basal"))}
}
\value{
list of plots for (1) accuracy and (2) sensitivity + specificity
}
\description{
list of plots for (1) accuracy and (2) sensitivity + specificity
(see Boniolo and Hoffmann 2022 et al. Fig. 3a and Fig. 3b)
}
